Name:           gl-117
Version:        1.3
Release:        0.fdr.1.2
Epoch:          0
Summary:        GL-117 is an action flight simulator.

Group:          Amusements/Games
License:        GPL
URL:            http://home.t-online.de/home/Primetime./gl-117/gl-117.html
Source0:        http://dl.sf.net/sourceforge/gl-117/gl-117-1.3-src.tar.bz2
Source1:	gl-117.desktop
Source2:	gl-117.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel, SDL_mixer-devel
BuildRequires:	XFree86-devel, freeglut-devel
BuildRequires:	desktop-file-utils

%description
GL-117 is an action flight simulator for Linux/Unix and MSWindows. Enter the 
Eagle Squadron and succeed in several challanging missions leading though 
different landscapes. Five predefined levels of video quality and an amount of 
viewing ranges let you perfectly adjust the game to the performance of your 
system. Joystick, mouse, sound effects, music...

%prep
%setup -q -n %{name}-%{version}-src

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man6
install -m 644 doc/%{name}.6 $RPM_BUILD_ROOT/%{_mandir}/man6/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications \
		     --add-category X-Fedora \
		     --vendor fedora %{SOURCE1} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README FAQ doc/%{name}.pdf
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man6/*

%changelog
* Fri Jul 09 2004 Panu Matilainen <pmatilai@welho.com> 0:1.3-0.fdr.1
- initial packaging
